---
title: Reviews
slug: redcircleapi/target-product-data-api/parameters/reviews
docTags: 
createdAt: 2024-07-27T14:22:43.825Z
---

# Reviews Parameters

<font color="#52c41a">`GET`</font>  `/request`

The Reviews Parameters are applicable when making a request with  `type=reviews`  to retrieve customer Reviews for a single product on Target - the product is specified using the  `tcin` ,  `dpci`  or  `url`  parameter (where the  `url`  parameter contains a link to an Target product page). The parameters should be appended as querystring parameters to the Target Product Data API `GET` HTTP request.

Reviews are retrieved from the [customer reviews page](https://www.target.com/p/-/A-78025470) for a single product on Target.

![](https://apiimages.imgix.net/redcircleapi/images/png/docs/reviews.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Customer Reviews Page")

:::hint{type="info"}
**Note that RedCircle will cache the GTIN-to-ASIN mapping for 2 months.**  To force a new GTIN lookup (for example, if you suspect the existing mapping is stale or the product has been added to the site), use the  `skip_gtin_cache=true`  request parameter (note that using  `skip_gtin_cache=true`  decrements 2 credits from your balance, instead of 1).&#x20;
:::

For example, to request reviews sorted by most recent ( `sort_by=most_recent` ), for the TCIN  `78025470`  the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.redcircleapi.com/request?api_key=demo&type=reviews&tcin=78025470&sort_by=most_recent
```

```curl
curl -L --get https://api.redcircleapi.com/request \
-d api_key="demo" \
-d type="reviews" \
-d tcin="78025470" \
-d sort_by="most_recent"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "reviews",
  tcin: "78025470",
  sort_by: "most_recent"
}

// make the http GET request to RedCircle API
axios.get('https://api.redcircleapi.com/request', { params })
  .then(response => {

    // print the JSON response from RedCircle API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'reviews',
  'tcin': '78025470',
  'sort_by': 'most_recent'
}

# make the http GET request to RedCircle API
api_result = requests.get('https://api.redcircleapi.com/request', params)

# print the JSON response from RedCircle API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type' => 'reviews',
  'tcin' => '78025470',
  'sort_by' => 'most_recent'
]);

# make the http GET request to RedCircle API
$ch = curl_init(sprintf('%s?%s', 'https://api.redcircleapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from RedCircle API
echo $api_result;

?>
```
:::

***

### Reviews Parameters

The following parameters are available for all requests made when  `type=reviews`  in addition to the Common Parameters.

| *`Parameter`*         | *`Required`* | *`Description`*                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| --------------------- | ------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *`tcin`*              | *`optional`* | The Target TCIN (item ID) to retrieve Reviews for.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| *`dpci`*              | *`optional`* | The DPCI code to look up a matching product on Target for to retrieve reviews. DPCI-based requests work by searching for the DPCI on Target first, then retrieving the product details for the first matching `tcin` .                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| *`gtin`*              | *`optional`* | The GTIN/ISBN/UPC code to look up a matching product on Target for to retrieve reviews. If the `gtin` parameter is supplied then the `tcin` and `dpci` parameters are ignored. GTIN-based requests work by searching for the GTIN/ISBN/UPC on Target first, then retrieving the product details for the first matching `tcin` .                                                                                                                                                                                                                                                                                                                                        |
| *`reviewer_type`*     | *`optional`* | The type of reviewer to retrieve reviews from. Valid values are:<br />1. `verified_purchase`<br />2. Include reviews by Verified Purchasers only.<br /><br />1. `all`<br />2. Include all reviews, regardless of whether they are from Verified Purchasers or not.<br />- <br />:inlineImage[]{src="https://apiimages.imgix.net/redcircleapi/images/png/docs/verified_purchase.png?auto=format&ixlib=react-9.5.1-beta.1&w=150" alt caption}                                                                                                                                                                                                                            |
| *`review_stars`*      | *`optional`* | The star rating of reviews to retrieve. Valid values are:<br />1. `all_stars`<br />2. Include reviews with any star rating.<br /><br />1. `five_star`<br />2. Include reviews with a 5 star rating.<br /><br />1. `four_star`<br />2. Include reviews with a 4 star rating.<br /><br />1. `three_star`<br />2. Include reviews with a 3 star rating.<br /><br />1. `two_star`<br />2. Include reviews with a 2 star rating.<br /><br />1. `one_star`<br />2. Include reviews with a 1 star rating.<br />- <br />:inlineImage[]{src="https://apiimages.imgix.net/redcircleapi/images/png/docs/review_stars.png?auto=format&ixlib=react-9.5.1-beta.1&w=150" alt caption} |
| *`review_media_type`* | *`optional`* | Filter the reviews to those containing a specific media type. Valid values are:<br />1. `all_reviews`<br />2. Include all reviews, irrespective of whether they contain an image.<br /><br />1. `media_reviews_only`<br />2. Include only reviews containing images.<br />- <br />:inlineImage[]{src="https://apiimages.imgix.net/redcircleapi/images/png/docs/review_media_type.png?auto=format&ixlib=react-9.5.1-beta.1&w=150" alt caption}                                                                                                                                                                                                                          |
| *`sort_by`*           | *`optional`* | Determines the sort order of reviews to return. Valid values are:<br />1. `most_recent`<br />2. Returns reviews with the most recent reviews first.<br /><br />1. `high_to_low_rating`<br />2. Returns reviews ordered highest to lowest rating.<br /><br />1. `low_to_high_rating`<br />2. Returns reviews ordered lowest to highest rating.<br /><br />1. `most_helpful`<br />2. Returns reviews with the most helpful reviews first.<br />- <br />:inlineImage[]{src="https://apiimages.imgix.net/redcircleapi/images/png/docs/reviews_sort_by.png?auto=format&ixlib=react-9.5.1-beta.1&w=200" alt caption}                                                         |
| *`page`*              | *`optional`* | The current page of reviews to retrieve. Inspect the `pagination.total_pages` property in the [Reviews results ](https://docs.trajectdata.com/redcircleapi/target-product-data-api/results/reviews)to see how many pages of reviews are available.                                                                                                                                                                                                                                                                                                                                                                                                                     |
| *`max_page`*          | *`optional`* | Use the `max_page` parameter to get multiple pages of results in one request. The API will automatically paginate through pages and concatenate the results into one response.  <br />See the [Pagination ](https://docs.trajectdata.com/redcircleapi/target-product-data-api/pagination)docs for more information.                                                                                                                                                                                                                                                                                                                                                    |
| *`url`*               | *`optional`* | The Target product-page URL to retrieve reviews details from.  <br />**Note** : If the `url` parameter is supplied then the `tcin` , `dpci` and `gtin` parameters are ignored (the `url` overrides these parameters).                                                                                                                                                                                                                                                                                                                                                                                                                                                  |

***

**Next Steps**
     [Reviews Results](https://docs.trajectdata.com/redcircleapi/target-product-data-api/results/reviews)
